### Class

# Meta WindowConfig

#### Description [src]

    final class Meta.WindowConfig : GObject.Object
    {
      /* No available fields */
    }

An object representing the configuration of a top-level window.

#### Ancestors

- GObject

#### Constructors

###### meta_window_config_new

No description available.

#### Instance methods

###### meta_window_config_get_is_fullscreen

No description available.

###### meta_window_config_get_is_initial

No description available.

###### meta_window_config_get_position

No description available.

###### meta_window_config_get_rect

No description available.

###### meta_window_config_get_size

No description available.

###### meta_window_config_set_is_fullscreen

No description available.

###### meta_window_config_set_position

No description available.

###### meta_window_config_set_rect

No description available.

###### meta_window_config_set_size

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.WindowConfig:is-fullscreen

No description available.

###### Meta.WindowConfig:rect

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaWindowConfigClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.